Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 398103 - app-portage/gentoolkit-0.3.0.4-r5 - "eclean -t 1y packages" aborts if dangling symlinks are encountered
Summary: app-portage/gentoolkit-0.3.0.4-r5 - "eclean -t 1y packages" aborts if dangli...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 346443
  Show dependency tree
 
Reported: 2012-01-07 23:19 UTC by Norman Back
Modified: 2012-02-29 16:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Modified clean.py that fixes the issue in an untidy fashion (clean.py,4.42 KB, patch)
2012-01-07 23:21 UTC, Norman Back
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Norman Back 2012-01-07 23:19:08 UTC
"eclean  -t 1y packages" aborts if dangling symlinks are encountered

Reproducible: Always

Steps to Reproduce:
1. Manually delete an old file from packages/ALL
2. Run eclean -t <time> where <time> includes the deleted file

Actual Results:  
1. Manually delete an old file from packages/ALL
2. Run eclean -t <time> where <time> includes the deleted file
3. eclean aborts when the symlink to the deleted file is detected.

Expected Results:  
1. Manually delete an old file from packages/ALL
2. Run eclean -t <time> where <time> includes the deleted file
3. eclean deletes the dangling symlink and other packages selected
Comment 1 Norman Back 2012-01-07 23:21:40 UTC
Created attachment 298285 [details, diff]
Modified clean.py that fixes the issue in an untidy fashion
Comment 2 Brian Dolbec gentoo-dev 2012-01-22 17:54:38 UTC
done.  fixed in commit: 
http://git.overlays.gentoo.org/gitweb/p=proj/gentoolkit.git;a=commit;h=0f152f27af3b758b904d257931c17da490468b8e

However, the final fix was not quite the way you modified it in the attached file.

Thank you.

the fix is available now in gentoolkit-9999.
Comment 3 Paul Varner (RETIRED) gentoo-dev 2012-02-29 16:24:06 UTC
Released in gentoolkit-0.3.0.5